View Issue Details

IDProjectCategoryView StatusLast Update
0000182SOGoWeb Generalpublic2009-12-11 11:14
Reportertolivier Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.0.4 
Fixed in Version1.2.0 
Summary0000182: Username and Refresh
Description

i think some new features will be great in 1.1.0 like:

  • Add the username (or email address) in the black tool bar. We can't found who he's connected in sogo easily.

  • Add a refresh button in the web address book, like in calendar.

Thank's

Thomas.

TagsNo tags attached.

Activities

ludovic

ludovic

2009-11-28 16:52

administrator   ~0000311

The "- Add the username (or email address) in the black tool bar. We can't found who he's connected in sogo easily." has been done with the major CSS refresh.

tolivier

tolivier

2009-12-09 08:34

reporter   ~0000332

Hi Ludovic,

This patch (from Albrecht Gebhardt) add only a reload button in the address book toolbar...it's a beginning...
Test on my Sogo is OK.

--- sogo-1.1.0.orig/UI/WebServerResources/ContactsUI.js
+++ sogo-1.1.0/UI/WebServerResources/ContactsUI.js
@@ -1291,4 +1291,8 @@
}

+function onContactsReload () {

  • openContactsFolder(Contact.currentAddressBook, true);
    +}
  • document.observe("dom:loaded", initContacts);
    --- sogo-1.1.0.orig/UI/Contacts/Toolbars/SOGoContactFolder.toolbar
    +++ sogo-1.1.0/UI/Contacts/Toolbars/SOGoContactFolder.toolbar
    @@ -30,5 +30,10 @@
    onclick = "return onToolbarDeleteSelectedContacts(this);";
    image="tb-mail-delete-flat-24x24.png";
    tooltip = "Delete selected card or address book"; }

  • )
  • ),
  • ( { link = "#";
  • label = "Reload";
  • onclick = "return onContactsReload();";
  • image = "calendar-reload.png";
  • tooltip = "Reload all contacts"; } )
    )
ludovic

ludovic

2009-12-11 11:14

administrator   ~0000340

Fixed by http://mtn.inverse.ca/revision/diff/2977eee44dc8cb28a84d3198502b07eacfaf2472/with/4bfa73f8df33a1fad6c74b0321872b8b41b526fa

Issue History

Date Modified Username Field Change
2009-10-19 11:32 tolivier New Issue
2009-11-28 16:52 ludovic Note Added: 0000311
2009-12-09 08:34 tolivier Note Added: 0000332
2009-12-11 11:14 ludovic Note Added: 0000340
2009-12-11 11:14 ludovic Status new => resolved
2009-12-11 11:14 ludovic Fixed in Version => 1.1.1
2009-12-11 11:14 ludovic Resolution open => fixed
2009-12-11 11:14 ludovic Assigned To => ludovic